# E-mailed the author on the exit calls in
# lib/rasterlite_png.c and lib/rasterlite_jpeg.c

Name:      librasterlite
Version:   1.1c
Release:   2%{?dist}
Summary:   Support Raster Data Sources within a SpatiaLite DB
Group:     System Environment/Libraries
License:   MPLv1.1 or GPLv2+ or LGPLv2+
URL:       https://www.gaia-gis.it/fossil/librasterlite
Source0:   http://www.gaia-gis.it/gaia-sins/%{name}-%{version}.tar.gz

# Some build targets rely on a static library to exist
# Reported to the author via e-mail
Patch0:    %{name}-1.1c-dyn.patch

# Don't build broken test
Patch1:    %{name}-1.1c-no-rastergen-check.patch

BuildRequires: geos-devel
BuildRequires: libgeotiff-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libspatialite-devel
BuildRequires: libtiff-devel
BuildRequires: proj-devel
BuildRequires: sqlite-devel
BuildRequires: zlib-devel


%description
Library that stores and retrieves huge raster coverages using a
SpatiaLite DBMS. The package also contains CLI management tools.

%package devel
Summary: Development Libraries for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: pkgconfig

%description devel
The %{name}-devel package contains libraries and header files
for developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .dyn~
%patch1 -p1 -b .rastergen~

# Remove unused Makefiles
rm -f Makefile-static*


%build
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

# Delete undesired libtool archives
rm -f %{buildroot}/%{_libdir}/%{name}.la


%check
make check


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files 
%doc COPYING AUTHORS ChangeLog
%{_bindir}/rasterlite_*
%{_libdir}/%{name}.so.*

%files devel
%{_includedir}/rasterlite.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/rasterlite.pc

%changelog
* Sun Aug 12 2012 Volker Fröhlich <volker27@gmx.at> 1.1c-2
- Enable tests, remove rastergen test, considered broken by developer

* Sun Aug 12 2012 Volker Fröhlich <volker27@gmx.at> 1.1c-1
- Initial packaging for Fedora
